Subject: bug#998: after split-window-horizontally scroll works only on first window

From: martin rudalics <[email-masked]>
Date: Fri, 19 Sep 2008 10:42:35 +0200

> still not working and I get the very same message as yours (.... #<window 3 on .emacs>)
 > when scrolling the wheel on any of the two windows

So the fault is not with `scroll-bar-toolkit-scroll' but with the wrong
window chosen when making the input-event.  This could be related to
your mouse-driver - some of them try to "intelligently" guess the window
you want to scroll.  Finding the reason of this might be non-trivial.

 > PS: last night I gave it a go on my Ubuntu machine and it worked; C-h-k gave me this:
 >
 > <mouse-5> (translated from <down-mouse-5> <mouse-5>) at that spot runs the command mwheel-scroll
 >   which is an interactive compiled Lisp function in `mwheel.el'.
 > It is bound to <C-mouse-4>, <S-mouse-4>, <mouse-4>, <C-mouse-5>, <S-mouse-5>, <mouse-5>.
 > (mwheel-scroll event)
 >
 > Scroll up or down according to the event.
 > This should only be bound to mouse buttons 4 and 5.

I'm afraid the assignment is currently beyond the control of Emacs
whenever you have scroll bars enabled.  I suppose your Emacs on Windows
scrolls the right window (and runs `mwheel-scroll') when you disable
scroll bars, e.g., by putting (scroll-bar-mode -1) in your .emacs?

martin